;Data rate specification
	;Decreasing the data rate may cause timer values to under/overflow...
	;Increasing the data rate may cause accuracy to suck...
	;Be careful, and simulate the results...
#define		XMIT_BPS			d'9600' 						;bits per second
#define		XMIT_uSPB			(d'1000000'/XMIT_BPS) 			;usec per bit


;Data format specification
;
;These can't really be changed without messing things up royally
;BLOCK DEFINITION
;The TX sends preamble data (0xAA) twice to help the RX clock lock onto the signal
;Then transmits the Integration defined sync pattern (0x2DD4), then a signal FRAME
;FRAME DEFINITION
;Data is sent in a single "frame"
;Each frame consists of a header word, and four channel words (all 8-bits each)
;The channel order is aileron, elevator, throttle, and rudder
;No Stopbit/postamble is used
#define		HEADER			b'10011001'		;Header pattern (note that it fails parity on purpose)
#define		NUMCHANS		d'4'
#define 	BITS_PER_FRAME					(BITSPERCHAN*(NUMCHANS+1))


;CHANNEL DEFINITION
;Channels consists of a parity bit in the MSB, followed by 7 digits of data [0-127]
#define		BITSPERCHAN		d'8'			;preamble as well





